### Constructor

# Adw NavigationPage new_with_tag

since: 1.4

#### Declaration [src]

    AdwNavigationPage*
    adw_navigation_page_new_with_tag (
      GtkWidget* child,
      const char* title,
      const char* tag
    )

#### Description [src]

Creates a new `AdwNavigationPage` with provided tag.

Available since: 1.4

#### Parameters

`child`

  Type: `GtkWidget`

  The child widget.

  The data is owned by the caller of the function.

`title`

  Type: `const char*`

  The page title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`tag`

  Type: `const char*`

  The page tag.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AdwNavigationPage`

The new created `AdwNavigationPage`

The data is owned by the called function.